Hi Robert,<br><br>I'm really curious in the error I'm getting trying to compile<br>svn version:<br>OSG-SVN/OpenSceneGraph-g++-4.1/include/osg/Uniform:169: error: 'GL_SAMPLER_1D_ARRAY_EXT' was not declared in this scope
<br>OSG-SVN/OpenSceneGraph-g++-4.1/include/osg/Uniform:170: error: 'GL_SAMPLER_2D_ARRAY_EXT' was not declared in this scope<br>OSG-SVN/OpenSceneGraph-g++-4.1/include/osg/Uniform:171: error: 'GL_SAMPLER_1D_ARRAY_SHADOW_EXT' was not declared in this scope
<br>OSG-SVN/OpenSceneGraph-g++-4.1/include/osg/Uniform:172: error: 'GL_SAMPLER_2D_ARRAY_SHADOW_EXT' was not declared in this scope<br><br><br>following the headers.. I found that GL_SAMPLER_*_ARRAY_EXT <br>and the others are defined inside GL2Extensions, but only if
<br>GL_VERSION_2_1 is not defined.  Seeing in the GL headers of<br>my system I have realized that GL_VERSION_2_1 is defined in<br>/usr/include/GL/glext.h.. so, those defines are never created. <br><br>I thought that if my system support 
2.1 version of OpenGL the <br>defines should be defined there.. but is not my case. Has anyone<br>report similar problems?. Maybe is required to add some <br>checks before define this inside Uniform header, but I don't
<br>know how is the better way to solve it.<br><br>Rafa.<br><br clear="all"><br>-- <br>Rafael Gaitán Linares <br>Instituto de Automática e Informática Industrial  <a href="http://www.ai2.upv.es">http://www.ai2.upv.es</a><br>
Ciudad Politécnica de la Innovación<br>Universidad Politécnica de Valencia